package adapters;

import info.Img;

import java.util.ArrayList;

import android.content.Context;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.ImageView;

import com.javielinux.facemix.R;

public class PhotosViewAdapter extends ArrayAdapter<Img> {
    private Context mContext;


    public PhotosViewAdapter(Context context, ArrayList<Img> statii) {
    	super(context, android.R.layout.simple_list_item_1, statii);
        mContext = context;
    }
    


    public View getView(int position, View convertView, ViewGroup parent) {
    	
    	Img item = getItem(position);
    	
        ImageView i = new ImageView(mContext);
        i.setBackgroundResource(R.drawable.background_image);
        
        i.setPadding(4, 4, 4, 4);
        //i.setAdjustViewBounds(true);
		
        i.setImageBitmap(item.image);
        
        return i;
    }
}
