package adapters;

import java.util.ArrayList;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.ImageView;

public class ImageAdapter extends ArrayAdapter<String> {
    int mGalleryItemBackground;
    private Context mContext;


    public ImageAdapter(Context context, ArrayList<String> statii) {
    	super(context, android.R.layout.simple_list_item_1, statii);
        mContext = context;
    }
    

    public View getView(int position, View convertView, ViewGroup parent) {
    	
    	String img = getItem(position);
    	
        ImageView i = new ImageView(mContext);
        
        i.setPadding(0, 0, 0, 0);
        i.setAdjustViewBounds(true);
		
        Bitmap bmp = BitmapFactory.decodeFile(img);
        i.setImageBitmap(bmp);
        
        return i;
    }
}
